//
//  NavView.m
//  FirstApp
//
//  Created by maxfong on 12-5-3.
//  Copyright 2012年 __MyCompanyName__. All rights reserved.
//

#import "NavView.h"

@implementation NavView1
- (id)init {
    self = [super init];
    if (self) {
        [self setTitle:@"View1"];
    }
    return self;
}

- (void)viewDidLoad
{
    UIButton *navViewBtn1 = [UIButton buttonWithType:UIButtonTypeRoundedRect];
    navViewBtn1.frame = CGRectMake(40.0, 30.0, 240.0, 30.0);
    [navViewBtn1 setTitle:@"To View2" forState:UIControlStateNormal];
    [navViewBtn1 addTarget:self action:@selector(pushView:) forControlEvents:UIControlEventTouchUpInside];
    
    [[self view] addSubview:navViewBtn1];
}

- (void)pushView:(id)sender
{
    NavView2 *nv2 = [[NavView2 alloc] init];
    [[self navigationController] pushViewController:nv2 animated:YES];
    [nv2 release];
}
@end



@implementation NavView2
- (id)init {
    self = [super init];
    if (self) {
        [self setTitle:@"View2"];
    }
    return self;
}

- (void)viewDidLoad
{
    UIButton *navViewBtn2 = [UIButton buttonWithType:UIButtonTypeRoundedRect];
    navViewBtn2.frame = CGRectMake(40.0, 30.0, 240.0, 30.0);
    [navViewBtn2 setTitle:@"Open View3" forState:UIControlStateNormal];
    [navViewBtn2 addTarget:self action:@selector(openView:) forControlEvents:UIControlEventTouchUpInside];
    
    UIButton *navViewBtn21 = [UIButton buttonWithType:UIButtonTypeRoundedRect];
    navViewBtn21.frame = CGRectMake(40.0, 80.0, 240.0, 30.0);
    [navViewBtn21 setTitle:@"To Root" forState:UIControlStateNormal];
    [navViewBtn21 addTarget:self action:@selector(popView:) forControlEvents:UIControlEventTouchUpInside];
    
    UIButton *navViewBtn22 = [UIButton buttonWithType:UIButtonTypeRoundedRect];
    navViewBtn22.frame = CGRectMake(40.0, 130.0, 240, 30);
    [navViewBtn22 setTitle:@"To View1" forState:UIControlStateNormal];
    [navViewBtn22 addTarget:self action:@selector(popView1:) forControlEvents:UIControlEventTouchUpInside];
    
    [[self view] addSubview:navViewBtn2];
    [[self view] addSubview:navViewBtn21];
    [[self view] addSubview:navViewBtn22];
}

- (void)openView:(id)sender
{
    NavView3 *nv3 = [[NavView3 alloc] init];
    UINavigationController *nv = [[UINavigationController alloc] initWithRootViewController:nv3];
    [self presentModalViewController:nv animated:YES];
    [nv release];
    [nv3 release];
}
- (void)popView:(id)sender
{
    [[self navigationController] popToRootViewControllerAnimated:YES];
}
- (void)popView1:(id)sender
{
    [[self navigationController] popViewControllerAnimated:YES];
}

@end



@implementation NavView3
- (id)init {
    self = [super init];
    if (self) {
        [self setTitle:@"View3"];
    }
    return self;
}

- (void)viewDidLoad
{
    UILabel *navViewLbl3 = [[UILabel alloc] initWithFrame:CGRectMake(110.0, 100.0, 100.0, 30.0)];
    navViewLbl3.text = @"View3 Here!!";
    navViewLbl3.font = [UIFont fontWithName:@"" size:20];
    [[self view] addSubview:navViewLbl3];
    
    UIBarButtonItem *navViewBtn3 = [[UIBarButtonItem alloc] initWithTitle:@"Close" style:UIBarButtonItemStyleDone target:self action:@selector(closeView:)];
    [self.navigationItem setLeftBarButtonItem:navViewBtn3];
}
- (void)closeView:(id)sender
{
    [self dismissModalViewControllerAnimated:YES];
}

@end